# Uses of Class
org.apache.datasketches.quantiles.CompactDoublesSketch

Packages that use CompactDoublesSketch
Package
Description
org.apache.datasketches.quantiles
The quantiles package contains stochastic streaming algorithms that enable single-pass analysis of the distribution of a stream of quantiles.

## Uses of CompactDoublesSketch in org.apache.datasketches.quantiles

Methods in org.apache.datasketches.quantiles that return CompactDoublesSketch
Modifier and Type
Method
Description
`CompactDoublesSketch`
UpdateDoublesSketch.`compact()`
`CompactDoublesSketch`
UpdateDoublesSketch.`compact(org.apache.datasketches.memory.WritableMemory dstMem)`
Returns a compact version of this sketch.